Bug 1693719 - User and group values of a report are not honored when importing the report
Summary: User and group values of a report are not honored when importing the report
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Reporting
Version: 5.9.4
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: GA
: 5.10.3
Assignee: Yuri Rudman
QA Contact: Parthvi Vala
Red Hat CloudForms Documentation
URL:
Whiteboard:
Depends On: 1638533
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-28 14:23 UTC by Satoe Imaishi
Modified: 2019-12-05 13:42 UTC (History)
6 users (show)

Fixed In Version: 5.10.3.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1638533
Environment:
Last Closed: 2019-04-23 07:46:21 UTC
Category: ---
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 3739671 None None User and Group Values of a Report are not Honored when Importing Reports 2019-03-28 14:24:09 UTC
Red Hat Product Errata RHSA-2019:0796 None None None 2019-04-23 07:46:26 UTC

Comment 2 CFME Bot 2019-03-29 17:21:10 UTC
New commit detected on ManageIQ/manageiq/hammer:

https://github.com/ManageIQ/manageiq/commit/2b631adc8d385e593831983d6a8d982efe7d573c
commit 2b631adc8d385e593831983d6a8d982efe7d573c
Author:     Gregg Tanzillo <gtanzill@redhat.com>
AuthorDate: Tue Jan 15 09:27:44 2019 -0500
Commit:     Gregg Tanzillo <gtanzill@redhat.com>
CommitDate: Tue Jan 15 09:27:44 2019 -0500

    Merge pull request #18270 from yrudman/keep-group-and-user-when-importing-report

    Preserve group and user when importing reports

    (cherry picked from commit 620d833a6ba2632c06cc8e9fda672a5796bcc2a7)

    https://bugzilla.redhat.com/show_bug.cgi?id=1693719

 app/models/miq_report.rb | 10 +
 app/models/miq_report/import_export.rb | 29 +-
 spec/models/miq_report/import_export_spec.rb | 71 +-
 spec/models/miq_report_spec.rb | 21 +
 4 files changed, 119 insertions(+), 12 deletions(-)

Comment 3 CFME Bot 2019-03-29 17:23:07 UTC
New commit detected on ManageIQ/manageiq-ui-classic/hammer:

https://github.com/ManageIQ/manageiq-ui-classic/commit/598995ec269f36094a84d264926f08a2dca83f00
commit 598995ec269f36094a84d264926f08a2dca83f00
Author:     Martin Povolny <mpovolny@redhat.com>
AuthorDate: Wed Jan 16 03:36:53 2019 -0500
Commit:     Martin Povolny <mpovolny@redhat.com>
CommitDate: Wed Jan 16 03:36:53 2019 -0500

    Merge pull request #5060 from yrudman/added-preserve-owner-checkbox

    Added "Preserve owner?" checkbox on Import report screen

    (cherry picked from commit 738d13379bc01b705544c41cac0206623796d706)

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1693719

 app/controllers/report_controller.rb | 5 +-
 app/views/report/_export_custom_reports.html.haml | 3 +
 2 files changed, 7 insertions(+), 1 deletion(-)

Comment 4 Parthvi Vala 2019-04-08 07:12:59 UTC
FIXED. Verified on 5.10.3.0.20190402144650_62f3960.

Comment 6 errata-xmlrpc 2019-04-23 07:46:21 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:0796


Note You need to log in before you can comment on or make changes to this bug.